Bug 245357 - Review Request: libopensync-plugin-syncml - plugin for using syncml with opensync
Review Request: libopensync-plugin-syncml - plugin for using syncml with open...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-22 12:23 EDT by josef radinger
Modified: 2007-12-03 16:12 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-30 11:11:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hdegoede: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description josef radinger 2007-06-22 12:23:03 EDT
Spec URL: http://www.nosuchhost.net/~cheese/fedora/packages/libopensync-plugin-syncml.spec
SRPM URL: http://www.nosuchhost.net/~cheese/fedora/packages/libopensync-plugin-syncml-0.22-1.fc7.src.rpm
Description: Plugin for opensync, to be able to use syncml


This is my first public package for fedora. I therefore need a sponsor.
Additional packages (also plugins for syncml, but also completely different [pike] will follow)
Comment 1 Tyler Owen 2007-06-22 14:22:10 EDT
This is not an official review as I am not sponsored yet.


---------
Summary:
---------
* Does not build in mock, missing BuildRequires: pkgconfig
* Changelog needs some work
* %doc contains empty files

---------
Details:
---------

* FIX - Mock : Built on F-7 (x86)
        Did not build: (needs BuildRequires: pkgconfig
                checking for pkg-config... no
                checking for PACKAGE... configure: error: The pkg-config script
could not be found or is too old.  Make sure it
                is in your PATH or set the PKG_CONFIG environment variable to
the full
                path to pkg-config.

 OK - Package meets naming and packaging guidelines
 OK - Spec file matches base package name.
 OK - Spec has consistant macro usage.
 OK - License field in spec matches
 OK - License is GPL
 OK - License match packaging policy licenses allowed
 OK - License file is included in package
 OK - Spec in American English
 OK - Spec is legible.
 OK - Sources SHOULD match upstream md5sum:
8ffa3233ad28fb3ead324d88573f0c38  libopensync-plugin-syncml-0.22.tar.bz2
 OK - Package has correct buildroot.
 OK - BuildRequires are not redundant.
 FIX - %build and %install stages are correct and work.
        Does not build
 OK - Package has %defattr and permissions on files is good.
 OK - Package has a correct %clean section.
 OK - Package is code or permissible content.
 OK - Packages %doc files don't affect runtime.
 OK - No large doc files not in a -doc package
 OK - Package has no duplicate files in %files.
 FIX - Package %files & %doc looks good
        %doc contains empty files - README and NEWS
 ? - Package doesn't own any directories that other packages own.
 FIX - Changelog section is correct. 
        either needs a "-" infront of it or move it up to the above line
* NA - Does not contain any .la libtool archives
 NA - .desktop file installed correctly

 ? - Should function as described.
 OK - Should package latest version

---------------
Rpmlint output:
---------------
* SRPM
        OK - silent
* RPM
        ?- rpm didn't build

Comment 2 Tyler Owen 2007-06-22 14:27:43 EDT
One more thing I forgot to put above:

The spec includes a -devel package, but does not contain a %files devel section. 
Comment 3 josef radinger 2007-06-23 06:32:44 EDT
New srpm available at
http://www.nosuchhost.net/~cheese/fedora/packages/libopensync-plugin-syncml-0.
22-2.fc7.src.rpm

modified specfile according to your suggestions.
will have to use mockbuild, instead of building by hand.
Comment 4 Michel Alexandre Salim 2007-09-22 13:02:02 EDT
I can't sponsor (have you e-mailed fedora-devel or ask on the IRC channel?), but
here's a quick review:

- License field is wrong. It is LGPL version 2.1 or above, which using the old
guideline would have been LGPL, and the new license guideline requires you to
state it as LGPLv2+

- Syncml should be capitalized properly: SyncML
- In %changelog, don't insert a linebreak between your contact detail and the
version-release info. Also, avoid smiley and capitalize your name properly?
- Description should not just copy %{summary}

Package builds fine in mock for F-7

Looks good otherwise
Comment 5 Hans de Goede 2007-11-17 12:04:55 EST
I see that you are looking for someone to sponsor you, and as it happens I'm
allowed to sponsor people. Here is what I would like to do: I see that you've
submitted 3 packages for review, I will review all 3 of them and then after one
or two iterations the can hopefully be approved, assuming that process go well
I'll sponsor you when all 3 are approved, if you agree with this "procedure",
please let me know and I'll start reviewing all 3.


Comment 6 Hans de Goede 2007-11-21 16:16:47 EST
Full review done.

Must Fix:
-libopensync-plugin-syncml.src: W: invalid-license GPL, or as Michel put it:
 License field is wrong. It is LGPL version 2.1 or above, which using the old
 guideline would have been LGPL, and the new license guideline requires you to
 state it as LGPLv2+
-SyncMl in the Summary must be capitalized properly: SyncML
-Description must end with a "."
-drop the ldconfig scripts, this is a plugin not a lib, so they are not needed.
Comment 7 Hans de Goede 2007-11-21 16:19:42 EST
And I forgot one:
-Must have "Requires: libopensync" for %{_libdir}/opensync/plugins and
 %{_libdir}/opensync/formats dir ownership
Comment 8 josef radinger 2007-11-24 04:24:29 EST
fresh rebuild
http://www.nosuchhost.net/~cheese/fedora/packages/8/libopensync-plugin-syncml-0.22-4.fc8.i386.rpm
http://www.nosuchhost.net/~cheese/fedora/packages/8/libopensync-plugin-syncml-0.22-4.fc8.src.rpm
http://www.nosuchhost.net/~cheese/fedora/packages/8/libopensync-plugin-syncml.spec

do i need the "Requires libopensync", even if the package requires a file from
libopensync and therefore pulls that in by default? or does this speed up
installing by yum, if i name the packages, instead of letting yum pull in the
required packages by searching for files?
Comment 9 Hans de Goede 2007-11-24 14:21:31 EST
(In reply to comment #8)
> fresh rebuild
>
http://www.nosuchhost.net/~cheese/fedora/packages/8/libopensync-plugin-syncml-0.22-4.fc8.i386.rpm
>
http://www.nosuchhost.net/~cheese/fedora/packages/8/libopensync-plugin-syncml-0.22-4.fc8.src.rpm
> http://www.nosuchhost.net/~cheese/fedora/packages/8/libopensync-plugin-syncml.spec
> 

Looks good, approved!

> do i need the "Requires libopensync", even if the package requires a file from
> libopensync and therefore pulls that in by default?

Ah, I see, although it doesn't require a file, you mean that it requires the
soname (libfoo.so.x) of libopensync, in that case the Requires isn't needed. Its
not a problem either though.

> or does this speed up
> installing by yum, if i name the packages, instead of letting yum pull in the
> required packages by searching for files?

It does speed up yum when replacing a real file requires like:
Requires: /usr/lib/libopensync

As that would require yum to additionally download the filelist database which
contains all filenams for all packages, but here you mean a soname dependency,
which is part of yum's default metadata, so just as fast as a direct package
Requires, also see:
http://fedoraproject.org/wiki/Packaging/Guidelines#head-ee9ab65751a839b02c34f6e23d7b736db293ed89
Comment 10 josef radinger 2007-11-29 10:43:03 EST
New Package CVS Request
=======================
Package Name: libopensync-plugin-syncml
Short Description: SyncML plugin for libopensync
Owners: cheese
Branches: devel F-7 F-8
InitialCC: cheese
Cvsextras Commits: yes
Comment 11 josef radinger 2007-11-29 10:46:12 EST
New Package CVS Request
=======================
Package Name: libopensync-plugin-syncml
Short Description: SyncML plugin for libopensync
Owners: cheese
Branches: devel F-7 F-8
InitialCC: cheese
Cvsextras Commits: yes

Comment 12 Kevin Fenzi 2007-11-29 14:52:54 EST
cvs done.
Comment 13 Michel Alexandre Salim 2007-12-03 16:12:10 EST
Please push this through the Fedora Updates System after you build it in Koji?
It's not showing up there, so it won't be pushed to the repositories yet.

Note You need to log in before you can comment on or make changes to this bug.